payments
Create a one-time payment
Creates a one-time payment using a payment instrument and either an active price (priceId) or raw amount compatibility (amount + currency). Optional description and metadata are stored on the payment (metadata: max 50 keys, 64 characters per key, 16KB serialized).
POST
/
payments
Create a one-time payment
curl --request POST \
--url https://api-sandbox.paygood.co/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customerId": "<string>",
"merchantId": "<string>",
"paymentInstrumentId": "<string>",
"captureMethod": "automatic",
"priceId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"description": "<string>",
"metadata": {}
}
'import requests
url = "https://api-sandbox.paygood.co/payments"
payload = {
"customerId": "<string>",
"merchantId": "<string>",
"paymentInstrumentId": "<string>",
"captureMethod": "automatic",
"priceId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"description": "<string>",
"metadata": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: '<string>',
merchantId: '<string>',
paymentInstrumentId: '<string>',
captureMethod: 'automatic',
priceId: '<string>',
amount: 4503599627370495,
currency: '<string>',
description: '<string>',
metadata: {}
})
};
fetch('https://api-sandbox.paygood.co/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => '<string>',
'merchantId' => '<string>',
'paymentInstrumentId' => '<string>',
'captureMethod' => 'automatic',
'priceId' => '<string>',
'amount' => 4503599627370495,
'currency' => '<string>',
'description' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/payments"
payload := strings.NewReader("{\n \"customerId\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"paymentInstrumentId\": \"<string>\",\n \"captureMethod\": \"automatic\",\n \"priceId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.paygood.co/payments")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customerId\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"paymentInstrumentId\": \"<string>\",\n \"captureMethod\": \"automatic\",\n \"priceId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customerId\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"paymentInstrumentId\": \"<string>\",\n \"captureMethod\": \"automatic\",\n \"priceId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"paymentId": "<string>",
"idempotencyKey": "<string>",
"customerId": "<string>",
"merchantId": "<string>",
"paymentInstrumentId": "<string>",
"priceId": "<string>",
"captureMethod": "automatic",
"amount": 0,
"currency": "<string>",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": {},
"authorizedAt": "2023-11-07T05:31:56Z",
"capturedAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"voidedAt": "2023-11-07T05:31:56Z",
"declineCode": "insufficient_funds",
"declineMessage": "<string>"
}Authorizations
Merchant API key bearer token.
Headers
Client-supplied unique key for safe retries of this mutating request. Scoped per merchant or resource as documented on each endpoint.
Example:
"idem-01"
Body
application/json
Payment creation payload.
Available options:
automatic, manual Required range:
0 < x <= 9007199254740991Supported currency code (USD, CAD)
Required string length:
3Required string length:
1 - 1000Show child attributes
Show child attributes
Response
Minimum string length:
1Available options:
automatic, manual Required range:
-9007199254740991 <= x <= 9007199254740991Supported currency code (USD, CAD)
Required string length:
3Available options:
pending, authorized, captured, completed, voided, refunded, declined, returned Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Required string length:
1 - 1000Show child attributes
Show child attributes
Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Pattern:
^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$Available options:
insufficient_funds, expired_card, invalid_card, invalid_cvv, fraud_suspected, do_not_honor, limit_exceeded, card_not_supported, account_closed, account_frozen, invalid_account, duplicate_transaction, stop_payment, transaction_not_permitted, processing_error, generic_decline, unknown ⌘I
Create a one-time payment
curl --request POST \
--url https://api-sandbox.paygood.co/payments \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'Idempotency-Key: <idempotency-key>' \
--data '
{
"customerId": "<string>",
"merchantId": "<string>",
"paymentInstrumentId": "<string>",
"captureMethod": "automatic",
"priceId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"description": "<string>",
"metadata": {}
}
'import requests
url = "https://api-sandbox.paygood.co/payments"
payload = {
"customerId": "<string>",
"merchantId": "<string>",
"paymentInstrumentId": "<string>",
"captureMethod": "automatic",
"priceId": "<string>",
"amount": 4503599627370495,
"currency": "<string>",
"description": "<string>",
"metadata": {}
}
headers = {
"Idempotency-Key": "<idempotency-key>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'Idempotency-Key': '<idempotency-key>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
customerId: '<string>',
merchantId: '<string>',
paymentInstrumentId: '<string>',
captureMethod: 'automatic',
priceId: '<string>',
amount: 4503599627370495,
currency: '<string>',
description: '<string>',
metadata: {}
})
};
fetch('https://api-sandbox.paygood.co/payments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api-sandbox.paygood.co/payments",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'customerId' => '<string>',
'merchantId' => '<string>',
'paymentInstrumentId' => '<string>',
'captureMethod' => 'automatic',
'priceId' => '<string>',
'amount' => 4503599627370495,
'currency' => '<string>',
'description' => '<string>',
'metadata' => [
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json",
"Idempotency-Key: <idempotency-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api-sandbox.paygood.co/payments"
payload := strings.NewReader("{\n \"customerId\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"paymentInstrumentId\": \"<string>\",\n \"captureMethod\": \"automatic\",\n \"priceId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {}\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Idempotency-Key", "<idempotency-key>")
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api-sandbox.paygood.co/payments")
.header("Idempotency-Key", "<idempotency-key>")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"customerId\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"paymentInstrumentId\": \"<string>\",\n \"captureMethod\": \"automatic\",\n \"priceId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {}\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api-sandbox.paygood.co/payments")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Idempotency-Key"] = '<idempotency-key>'
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"customerId\": \"<string>\",\n \"merchantId\": \"<string>\",\n \"paymentInstrumentId\": \"<string>\",\n \"captureMethod\": \"automatic\",\n \"priceId\": \"<string>\",\n \"amount\": 4503599627370495,\n \"currency\": \"<string>\",\n \"description\": \"<string>\",\n \"metadata\": {}\n}"
response = http.request(request)
puts response.read_body{
"paymentId": "<string>",
"idempotencyKey": "<string>",
"customerId": "<string>",
"merchantId": "<string>",
"paymentInstrumentId": "<string>",
"priceId": "<string>",
"captureMethod": "automatic",
"amount": 0,
"currency": "<string>",
"status": "pending",
"createdAt": "2023-11-07T05:31:56Z",
"description": "<string>",
"metadata": {},
"authorizedAt": "2023-11-07T05:31:56Z",
"capturedAt": "2023-11-07T05:31:56Z",
"settledAt": "2023-11-07T05:31:56Z",
"voidedAt": "2023-11-07T05:31:56Z",
"declineCode": "insufficient_funds",
"declineMessage": "<string>"
}